Test Gerrit upgrade from 3.4 to 3.5

This reenables Gerrit upgrade testing but tests the 3.4 to 3.5 upgrade
now. Note this may need some work to get happy once we have 3.5 images
which is why we've split it out into a separate change.

Change-Id: Ibbbd3f98ac2df8d99d4ffda57df59f4a47da3cd3
changes/05/827705/1
Clark Boylan 1 year ago
parent a3cc983502
commit a2dce17612

@ -1,7 +1,7 @@
- name: Ensure initial gerrit state
import_playbook: ../service-review.yaml
vars:
gerrit_container_image: docker.io/opendevorg/gerrit:3.3
gerrit_container_image: docker.io/opendevorg/gerrit:3.4
- hosts: "review:!disabled"
name: "Prepare Gerrit for Upgrade"
@ -33,7 +33,7 @@
- name: Perform gerrit upgrade
import_playbook: ../service-review.yaml
vars:
gerrit_container_image: docker.io/opendevorg/gerrit:3.4
gerrit_container_image: docker.io/opendevorg/gerrit:3.5
gerrit_run_init: true
- hosts: "review:!disabled"

@ -70,14 +70,13 @@
- name: opendev-buildset-registry
- name: system-config-build-image-gerrit-3.5
soft: true
# TODO reenable when we have 3.5 images to upgrade to
#- system-config-upgrade-review:
# dependencies:
# - name: opendev-buildset-registry
# - name: system-config-build-image-gerrit-3.3
# soft: true
# - name: system-config-build-image-gerrit-3.4
# soft: true
- system-config-upgrade-review:
dependencies:
- name: opendev-buildset-registry
- name: system-config-build-image-gerrit-3.4
soft: true
- name: system-config-build-image-gerrit-3.5
soft: true
- system-config-build-image-refstack
- system-config-run-refstack:
dependencies:

@ -970,20 +970,19 @@
vars:
zuul_test_gerrit_version: '3.5'
# TODO reenable this job when we have 3.5 images to upgrade to.
#- job:
# name: system-config-upgrade-review
# parent: system-config-run-review-base
# description: |
# Test we can upgrade a gerrit 3.3 to 3.4
# requires:
# - gerrit-3.3-container-image
# - gerrit-3.4-container-image
# vars:
# run_playbooks:
# - playbooks/letsencrypt.yaml
# - playbooks/zuul/upgrade-review.yaml
# zuul_test_gerrit_version: '3.3'
- job:
name: system-config-upgrade-review
parent: system-config-run-review-base
description: |
Test we can upgrade a gerrit 3.4 to 3.5
requires:
- gerrit-3.4-container-image
- gerrit-3.5-container-image
vars:
run_playbooks:
- playbooks/letsencrypt.yaml
- playbooks/zuul/upgrade-review.yaml
zuul_test_gerrit_version: '3.4'
- job:
name: system-config-run-static

Loading…
Cancel
Save